List cards
curl --request GET \
--url https://api.global.direct.reap.global/2026-07-13/cards \
--header 'x-api-key: <api-key>'import requests
url = "https://api.global.direct.reap.global/2026-07-13/cards"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.global.direct.reap.global/2026-07-13/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "card_01JZ2Q4T4J7QF2G6Z3X9A1B5CD",
"type": "virtual",
"status": "active",
"title": "Travel card",
"last4": "4242",
"expiresAt": "2028-08-31",
"isRevolving": false,
"planType": "topUp",
"category": "travel",
"cardholder": {
"userId": "user_01JZ2Q1J4Y8P7M6N5K3H2G1F0E",
"name": "Ada Lovelace",
"email": "ada@example.com"
},
"spendCap": {
"amount": "5000.00",
"currency": "USD"
},
"spentAmount": {
"amount": "0.00",
"currency": "USD"
},
"spendControl": {
"limits": {
"transaction": {
"amount": "1000.00",
"currency": "USD"
},
"monthly": {
"amount": "5000.00",
"currency": "USD"
}
},
"spent": {
"monthly": {
"amount": "0.00",
"currency": "USD"
}
},
"atm": {
"dailyWithdrawal": {
"amount": "500.00",
"currency": "USD"
},
"dailyFrequency": 3
}
},
"restriction": {
"time": {
"start": "09:00",
"end": "18:00"
},
"category": {
"allow": true,
"ids": [
"travel"
]
}
},
"createdAt": "2026-07-13T08:00:00.000Z",
"updatedAt": "2026-07-13T08:00:00.000Z"
}
],
"meta": {
"totalItems": 1,
"itemCount": 1,
"itemsPerPage": 20,
"totalPages": 1,
"currentPage": 1
}
}Cards
List cards
Required API-key scope: cards:read.
GET
/
2026-07-13
/
cards
List cards
Authorizations
Enter your API key
Query Parameters
Required range:
1 <= x <= 9007199254740991Required range:
1 <= x <= 100Available options:
virtual, physical Case-insensitive cardholder name fragment.
Required string length:
1 - 255Case-insensitive cardholder email address fragment.
Required string length:
1 - 255Case-insensitive card nickname fragment.
Required string length:
1 - 255Required string length:
4⌘I